rpmsw.h File Reference
I/O » RPM IO API.
`#include <unistd.h>`
`#include <sys/time.h>`
Include dependency graph for rpmsw.h:

Go to the source code of this file.

## Data Structures

struct | rpmsw_s
struct | rpmop_s

## Typedefs

typedef unsigned long int | rpmtime_t
typedef struct rpmsw_s * | rpmsw
typedef struct rpmop_s * | rpmop

## Functions

rpmsw | rpmswNow (rpmsw sw)
rpmtime_t | rpmswDiff (rpmsw end, rpmsw begin)
rpmtime_t | rpmswInit (void)
int | rpmswEnter (rpmop op, ssize_t rc)
rpmtime_t | rpmswExit (rpmop op, ssize_t rc)
rpmtime_t | rpmswAdd (rpmop to, rpmop from)
rpmtime_t | rpmswSub (rpmop to, rpmop from)

## Detailed Description

Statistics API

Definition in file rpmsw.h.